package controller

import (
	"campaign-pool-be/app/module/campaign_destinations/service"
	"github.com/rs/zerolog"
)

type Controller struct {
	CampaignDestinations CampaignDestinationsController
}

func NewController(CampaignDestinationsService service.CampaignDestinationsService, log zerolog.Logger) *Controller {
	return &Controller{
		CampaignDestinations: NewCampaignDestinationsController(CampaignDestinationsService, log),
	}
}

